## php.java.bridge.http
Class ContextServer

    java.lang.Object
      php.java.bridge.http.ContextServer

    public final class ContextServer

extends java.lang.Object

A bridge pattern which either uses the PipeContextServer or the SocketContextServer, depending on the OS and/or the security restrictions. There can be only one ContextServer instance per classloader.

Author:
  jostb
See Also:
  `PipeContextServer`, `SocketContextServer`

Nested Class Summary
`class` `ContextServer.ChannelName`

Constructor Summary
`ContextServer(ThreadPool pool)`

Method Summary
`void` `destroy()`
`ContextServer.ChannelName` `getFallbackChannelName(java.lang.String channelName)`
`boolean` `getNext()` Get the next runnable
`boolean` `isAvailable(java.lang.String channelName)`
`void` `schedule()` Add a runnable to the queue.
`void` `start(ContextServer.ChannelName channelName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextServer

    public ContextServer(ThreadPool pool)

Method Detail

### getNext

    public final boolean getNext()

  Get the next runnable

  Returns:
    True if there is a runnable in the queue, false otherwise.

### schedule

    public final void schedule()

  Add a runnable to the queue.

  See Also:
    `getNext()`

### destroy

    public void destroy()

### isAvailable

    public boolean isAvailable(java.lang.String channelName)

### start

    public void start(ContextServer.ChannelName channelName)

### getFallbackChannelName

    public ContextServer.ChannelName getFallbackChannelName(java.lang.String channelName)